Subject: bug#73302: TeX-find-closing-brace and verbatim macros

From: Arash Esbati <[email-masked]>
Date: Fri, 27 Sep 2024 19:22:12 +0200

Paul Nelson <[email-masked]> writes:

> For whatever it's worth, I updated my package czm-tex-fold to support
> the variety of verbatim formats from Arash's earlier email.  This is
> less flexible than what we would get by extending the display spec
> format, but has the advantage that it's been implemented.

> (defvar czm-tex-fold--verb-regex
>   "\\\\\\(Verb\\|verb\\)\\(?:\\[[^]]*\\]\\)?[|{]\\([^|}]*\\)[|}]")

A little simpler:

  "\\\\\\([Vv]verb\\)\\(?:\\[[^]]*\\]\\)?[|{]\\([^|}]*\\)[|}]"

How does your code work on this example:

  \verb|}|

?  I admit, this is a mess, but maybe we can come up with a solution
within AUCTeX; I have to think about it, though.

Best, Arash